%define shortname asyncns
%define major 0
%define libname %mklibname %shortname %major
%define libname_devel %mklibname -d %shortname

Summary: A library for executing name service queries asynchronously
Name: libasyncns
Version: 0.8
Release: %mkrel 6
Source0: http://0pointer.de/lennart/projects/libasyncns/%{name}-%{version}.tar.gz
Patch0: libasyncns-0.8-libdir.patch
License: LGPL
Group: System/Libraries
URL: http://0pointer.de/lennart/projects/libasyncns/
BuildRequires : doxygen

%description
A small and lightweight library that implements easy to use asynchronous
wrappers around the libc NSS functions getaddrinfo(), res_query() and related.


#----------------------------------------------------------------------------

%package -n %{libname}
Summary: A library for executing name service queries asynchronously
Group: System/Libraries
Provides: %name = %{version}-%{release}

%description -n %{libname}
A small and lightweight library that implements easy to use asynchronous
wrappers around the libc NSS functions getaddrinfo(), res_query() and related.


#----------------------------------------------------------------------------

%package -n %{libname_devel}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}


%description -n %{libname_devel}
Development files for %{name}

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
find %{buildroot} \( -name *.a -o -name *.la \) -exec rm -f {} \;

#----------------------------------------------------------------------------

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{libname_devel}
%doc %{_docdir}/%{name}
%{_includedir}/%{shortname}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.8-6.mga4
+ Revision: 506901
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.8-5.mga3
+ Revision: 356833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 zezinho <zezinho> 0.8-4.mga3
+ Revision: 318339
- spec cleanup

* Sun Mar 27 2011 colin <colin> 0.8-3.mga1
+ Revision: 77953
- Fix libdir in pkg-config file.

* Thu Jan 13 2011 dmorgan <dmorgan> 0.8-2.mga1
+ Revision: 13076
- imported package libasyncns


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-2mdv2011.0
+ Revision: 602522
- rebuild

* Thu Nov 05 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8-1mdv2010.1
+ Revision: 460435
- New version: 0.8

* Mon Jul 27 2009 Emmanuel Andry <eandry@mandriva.org> 0.7-1mdv2010.0
+ Revision: 400829
- New version 0.7
- update files list

* Sat Oct 25 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6-1mdv2009.1
+ Revision: 297202
- New version: 0.6

* Mon Jul 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.4-1mdv2009.0
+ Revision: 251242
- Fix group
- Minor file list change to inlcude library major number in filespec
- import libasyncns


